#! /bin/sh	
#$ -S /bin/sh
#$ -cwd

# qsub -N log_file -pe def_slot 2 -l s_vmem=15G -l mem_req=15G -l month ./Q_Bat_Run.sh
used_cpu=
samtools_PATH=
filtered_depth=

window_size_Mb=
step_size_kb=
howmany_snp_number=

individual_number=
population_structure=

#--------------------------------------------------



work_dir=`pwd`
chmod +x -R $work_dir/*


P1_ref=${work_dir}/P1_ref_seq_development/P1_ref.fa
P1_self_bam=${work_dir}/P1_self_alignment/P1_all_mapped_sort.bam
F1_hetero_pileup=${work_dir}/F1_to_P1_alignment/sim_Fishire_test_m_P1_vs_F1.pileup
mkdir filtered_F1_hetero_snp_A_bulk
cd filtered_F1_hetero_snp_A_bulk

perl ../script/4_select_hetero_SNP_posi_pileup_file.pl ${F1_hetero_pileup} ../A_bulk_to_P1_alignment/A_bulk_all_mapped_sort.bam ${P1_self_bam} ${P1_ref} $samtools_PATH ${filtered_depth}  #F1_hetero_position_selected
perl ../script/6_s_add_simulation.pl m_common_F1_hetero_snp_P1_vs_A_bulk.pileup ../simulation_result/${population_structure}_${individual_number}_individuals.txt 
Rscript ../script/7_QTLseq_sliding_window_170321.R s_m_common_F1_hetero_snp_P1_vs_A_bulk.pileup ${window_size_Mb}000000 ${step_size_kb}000 ${howmany_snp_number} 
Rscript ../script/8_MutMap_graph_bulkA.R s_m_common_F1_hetero_snp_P1_vs_A_bulk.pileup sliding_window_${window_size_Mb}_Mb_s_m_common_F1_hetero_snp_P1_vs_A_bulk.pileup 

cd ../

